import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, InsertResult, Repository, UpdateResult } from "typeorm";
import { User } from "./user.entity";
export declare class UserService extends TypeOrmCrudService<User> {
    readonly repo: Repository<User>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<User>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<User>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<User[]>;
    createOneBy(params: DeepPartial<User>, manager?: EntityManager): Promise<User>;
    createAllBy(params: DeepPartial<User>[], manager?: EntityManager): Promise<User[]>;
    createAllIfNotExistBy(params: DeepPartial<User>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: {
        [K in keyof User]?: any | FindOperator<User[K]>;
    }, set: {
        [K in keyof User]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
